#include <iostream>
#include<algorithm>
#include<set>

using namespace std;
#define ll long long;

long long niz[200000] = {};
long long rez[200000] = {};
long long res[200000] = {};
pair<long long, long long> danko[200000];
long long farm(pair<long long, long long>& danko, long long niz, int l, int r) {
    
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n, k, x;
    cin >> n >> k >> x;
    for (int i = 0; i < n; i++) {
        cin >> niz[i];
        danko[i].first = i;
    }
    for (int i = n - 1; i >= 0; i--) {
        danko[i].second = danko[i + 1].second + niz[i] * i;
    }
    for (int i = 0; i < n - k + 1; i++) {

    }
}